<template>
  <div>
    <a @click="$refs.addForm.openModal();"
       v-bind:class="getBtnClasses"
    >

      <i v-bind:class="getBtnIcon"></i> Ajouter une demande
    </a>

    <modal ref="addForm">
      <template v-slot:header>
        <h1>Ajouter une demande</h1>
      </template>

      <template v-slot:body>
        <form-help></form-help>
      </template>

    </modal>
  </div>

</template>

<script>
import Modal from "./Modal"
import FormHelp from "./FormHelp";

export default {
  name: "AddHelp",
  components: {
    Modal,
    FormHelp
  },
  methods: {
    alert: function() {
      this.$refs.addForm.openModal()
    }
  },
  computed: {
    getBtnClasses() {
      return "btn btn-success btn-lg white-link";
    },
    getBtnIcon(){
      return "plus";
    }
  }
}
</script>

<style scoped>
.overflow-hidden {
  overflow: hidden;
}
.modal {
  display: block;
  z-index: 99999;
}
</style>